# Classic MESA drivers

These are based on the last pre-removal MESA ports I could find before support for older graphics cards were removed and [MESA Amber](https://docs.mesa3d.org/amber.html) was necessary. These are based on MESA `21.1.8`.

However, this is not based on MESA Amber branch and will not have latest improvements and patches. In an ideal situation, using it for long period of time would not be recommended. Ideally, a port for MESA Amber would be better. Feel free to improve on it though and share changes so that others can benefit.


## Install

**Warning:**
**I am not a port expert by any means and these are just my rough versions. Your system may break or something unexpected might happen. Please make sure to have backups before trying.**

Make sure `/usr/ports` is populated with ports.

```sh
# pkg install llvm12  # needed for 21.1.8 codebase
# cp -r graphics /usr/ports/
```

Optionally to save time (to aid with installing deps with pkg) I personally have this:

```sh
# echo 'USE_PACKAGE_DEPENDS=1' >> /etc/make.conf
```

For individual ports (`mesa-dri-classic` as an example):

```sh
# cd /usr/ports/graphics/mesa-dri-classic
# make
# make deinstall && make reinstall
# pkg lock mesa-dri
# pkg lock -l  # to confirm
```

Repeat this for other `graphics/*-classic` ports if you have the ports installed.

When done reboot the machine.

